The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Not just another fixquota error

Discussion in 'General Discussion' started by ManXP, Jan 21, 2006.

  1. ManXP

    ManXP Well-Known Member

    Joined:
    Feb 3, 2005
    Messages:
    62
    Likes Received:
    0
    Trophy Points:
    6
    Hello,

    I'm experiencing one trouble about cPanel quota. WHM displays quota incorrect, so when I run /scripts/fixquota, I get such an error for all accounts:

    BEGIN failed--compilation aborted at /scripts/cPScript/cPQuota.pm line 11.
    Compilation failed in require at /scripts/editquota line 8.
    BEGIN failed--compilation aborted at /scripts/editquota line 8.
    Resetting quota for XXXXX to 200 Meg....Done
    Can't locate version.pm in @INC (@INC contains: /usr/lib/perl5/5.8.7/i686-linux /usr/lib/perl5/5.8.7 /usr/lib/perl5/site_perl/5.8.7/i686-linux /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl . /scripts) at /scripts/cPScript/cPQuota.pm line 11.
    BEGIN failed--compilation aborted at /scripts/cPScript/cPQuota.pm line 11.
    Compilation failed in require at /scripts/editquota line 8.
    BEGIN failed--compilation aborted at /scripts/editquota line 8.

    Even worse. This script has screwed up ALL accounts. Even accounts, which displayed correct quota previously, display "Unlimited" now.

    I didn't find anything on this forum, so may be someone knows how to solve that? I'm running WHM 10.6.0 / cPanel 10.6.0-R158 on CentOS 3.6.
     
  2. BenThomas

    BenThomas Well-Known Member

    Joined:
    Feb 12, 2004
    Messages:
    598
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Houston, Texas USA
    cPanel Access Level:
    Root Administrator
    You're missing the "version" module provided through CPAN. Running the following command as root should install the missing module: "/usr/local/cpanel/bin/checkperlmodules". Alternatively, you can install the version module independently by running the following command: "/scripts/perlinstaller version", but if that module is missing, then there are likely other missing modules as well. Therefore, I recommend running the first command to ensure your server has the full complement of modules. If there are any errors, then re-run the "/usr/local/cpanel/bin/checkperlmodules" command once again. If the problems persist, then open a support ticket with your license provider, there would likely be some other issue preventing "checkperlmodules" from functioning properly.

    Please note that "checkperlmodules" is ran twice during your server's nightly "upcp" run, unless you've disabled upcp.

    After you've resolved the Perl issue, re-run the "fixquota" command. HTH.
     
  3. ManXP

    ManXP Well-Known Member

    Joined:
    Feb 3, 2005
    Messages:
    62
    Likes Received:
    0
    Trophy Points:
    6
    Thank you so much.

    It's working now :)
     
  4. Stanleytiew

    Stanleytiew Well-Known Member

    Joined:
    May 9, 2005
    Messages:
    143
    Likes Received:
    0
    Trophy Points:
    16
    I am having exactly the same problem as you are encounter, I follow the step give but it didn't solve my problem, please help.
     
  5. BenThomas

    BenThomas Well-Known Member

    Joined:
    Feb 12, 2004
    Messages:
    598
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Houston, Texas USA
    cPanel Access Level:
    Root Administrator
    You can either do as I suggest or provide some additional information such as error messages and version information. Without additional information helping you resolve your issue is quite impossible.
     
  6. Stanleytiew

    Stanleytiew Well-Known Member

    Joined:
    May 9, 2005
    Messages:
    143
    Likes Received:
    0
    Trophy Points:
    16
    My version number is as follow:

    WHM 10.6.0 cPanel 10.6.0-R55
    CentOS 3.6 x86_64 - WHM X v3.1.0

    my WHM show quota is unlimited and space used is 0MB, when I run /scripts/fixquotas I get the following error message:

    BEGIN failed--compilation aborted at /scripts/cPScript/cPQuota.pm line 11.
    Compilation failed in require at /scripts/editquota line 8.
    BEGIN failed--compilation aborted at /scripts/editquota line 8.
    Resetting quota for XXXXX to 100 Meg....Done
    Can't locate version.pm in @INC (@INC contains: /usr/lib64/perl5/5.8.0/x86_64-linux ........
    .......................
     
  7. BenThomas

    BenThomas Well-Known Member

    Joined:
    Feb 12, 2004
    Messages:
    598
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Houston, Texas USA
    cPanel Access Level:
    Root Administrator
    And if you attempted to install the version modules as I suggested and it didn't work, then what was the error message there?
     
  8. Stanleytiew

    Stanleytiew Well-Known Member

    Joined:
    May 9, 2005
    Messages:
    143
    Likes Received:
    0
    Trophy Points:
    16
    there is no error when I install version modules, only having error when running /scripts/fixquotas
     
  9. arturoz

    arturoz Member

    Joined:
    Feb 13, 2005
    Messages:
    18
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Poland, Gdańsk
    cPanel Access Level:
    Root Administrator
    #9 arturoz, Jan 31, 2006
    Last edited: Jan 31, 2006
  10. Stanleytiew

    Stanleytiew Well-Known Member

    Joined:
    May 9, 2005
    Messages:
    143
    Likes Received:
    0
    Trophy Points:
    16
    Thank you very much for your reply, I have submitted ticket to cpanel and they fixed it for me.
     
Loading...

Share This Page